{% load i18n %}

{% ifequal obj 'Award' %}
<style>
  
    #tb tbody td img{
        height:30px;
        cursor:pointer;
    }
    
</style>
{% endifequal %}
<style> 
    .word-wrap{
        width: 100%;white-space: normal;word-wrap: break-word;word-break: break-all;
    }
    .ant-tag-success {
        color : #52c41a !important;
        background: #f6ffed !important;
        border-color: #b7eb8f;
    }
    .ant-tag-orange {
        color: #d46b08 !important;
        background: #fff7e6 !important;
        border-color: #ffd591;
    }
    .ant-tag-error {
        color: #ff4d4f !important;
        background: #fff2f0 !important;
        border-color: #ffccc7;
    }
    .ant-tag-warning {
        color: #faad14 !important;
        background: #fffbe6 !important;
        border-color: #ffe58f;
    }
    .ant-tag-default {
    }
    .ant-tag {
        box-sizing: border-box;
        margin: 0 8px 0 0;
        color: #000000d9;
        font-size: 14px;
        font-variant: tabular-nums;
        line-height: 1.5715;
        list-style: none;
        font-feature-settings: "tnum";
        display: inline-block;
        height: auto;
        padding: 0 7px;
        font-size: 12px;
        line-height: 20px;
        white-space: nowrap;
        background: #fafafa;
        border: 1px solid #d9d9d9;
        border-radius: 2px;
        opacity: 1;
        transition: all .3s;
    }
    #myImage:hover {
    transition: transform 0.5s ease;
    transform: scale(4);
</style>



<script type="text/javascript">
    $(document).ready(function(){    
        var page_length=10;
        {% ifequal obj 'Product' %}
            {% if request.user.company.cfg_company.product_photo %} 
                {% ifequal request.user.company.id 1 %}
                    page_length=10
                {% else %}
                    page_length=5
                {% endifequal %}
            {% endif %}
        {% endifequal %}       


        {% ifequal obj 'CompanyCfg' %}
            $('#ent_name').autocomplete({
                source: {{ents|safe}},                
                select: function (event, ui) {
                    $("#ent_id").val(ui.item.value);
                    $("#ent_name").val(ui.item.label);
                    return false;
                }
            });
            $('.btn-sys-acc').click(function(){
                $.ajax({
                    url: '{{request.path}}',
                    type:'POST',
                    data: {'company_id':$('#ent_id').val()},
                    success: function(data) {
                        if(data.e == '') {
                            toastr.success("转换成功。",
                                {timeOut: 2000, positionClass: "toast-center-center"}            
                            );
                            
                        }else{
                             toastr.error(data.e, "操作错误：",
                                {timeOut: 2000, positionClass: "toast-center-center"}
                            );                        
                        }
                    }
                })

            
            });

        {% endifequal %}









        var table=$('#tb').DataTable({
            dom: 'Bfrtip',
            autoWidth: true,
            pageLength: page_length,
            buttons: [{extend:'excelHtml5',text: '导出到Excel'}],   
            language:lng,	
			{% if order %}
            order: {{order|safe}},
			{% endif %}
			
            data:{{data|safe}}
        });      
        table.columns().every( function () {                        
            var that = this;             
            $('input', this.footer() ).on( 'keyup change clear', function () {
                if ( that.search() !== this.value ) {
                    that.search( this.value ).draw();
                }
            });
        });    


    //$('#data-content').on("click", ".btn-obj-add", function () {
         
    //});  
    $(".btn-obj-add").click(function () { 
        event.preventDefault();
        $.RefreshContent($(this).attr('href'));        
    })

        $('#tb').on("click","td a",function(event){
			console.log('a')
            event.preventDefault();    
			if($(this).hasClass('btn-dlg') || $(this).hasClass('btn-only-dlg') ){
				$.OpenDlg($(this).attr('href'),'信息弹窗',1000,700);
				return;
			}
            $.RefreshContent($(this).attr('href'));            
        });     

       
        $('#tb tbody').on('click','img',function(){            
            var src=$(this).attr('src');
            var tt=$(this).closest('tr').find('a').text();
            if(tt==''){                
                tt=$(this).attr('tt');
            };
            var i="<div style='text-align:center;'><img src='"+src+"' style='height:400px;'></img></div>";
            $.OpenCfmDlg(tt,i);       
        });

        {% if dt %}
            $('.datepicker').datepicker({dateFormat: 'yy-mm-dd'});
            $('.datepicker').datepicker('setDate',new Date());
            setDatePickerZh();

            $('#dt_fr').val('{{date_from}}');
            $('#dt_to').val('{{date_to}}');
            $('#dt_fr_redeemed').val('{{date_fr_redeemed}}');
            $('#dt_to_redeemed').val('{{date_to_redeemed}}');

            $('.btn-qry').click(function(){
                var date_from,date_to;
                date_fr=$('#dt_fr').val();
                date_to=$('#dt_to').val();
                date_fr_redeemed=$('#dt_fr_redeemed').val();
                date_to_redeemed=$('#dt_to_redeemed').val();
                var params=[];
                if(date_fr!=''){params.push('date_from='+date_fr)};
                if(date_to!=''){params.push('date_to='+date_to)};
                if(date_fr_redeemed!=''){params.push('date_fr_redeemed='+date_fr_redeemed)};
                if(date_to_redeemed!=''){params.push('date_to_redeemed='+date_to_redeemed)};

                if(params.length==0){
                    bootbox.alert("{% trans '请先输入查询条件！'%}");
                }else{
                    $.RefreshContent('{{request.path}}?'+params.join('&'));
                }
            });
        {% endif %}

        
        //2020-11-07
        $("[data-toggle='popover']").popover({
            html:true,
            placement:'bottom'
        });

		$('.btn-dlg').off('click')
        $('.btn-dlg').click(function(event){
			console.log('a')
            $(event.target.parentNode).addClass('row_selected');

             event.preventDefault();
             $.OpenDlg($(this).attr('href'),'信息弹窗',1000,700);


            //$.RefreshContent($(this).attr('href'));  
            //return false;
            //$("#dlgDiv").dialog("open")
        }); 
		
		$('.btn-photo').click(function(){            
            var src=$(this).data('src'); 
            var i="<div style='text-align:center;'><img src='"+src+"' style='height:400px;'></img></div>";
            $.OpenCfmDlg('图片',i);       
        });
    });
    function deleteItem(id){
        var r = confirm('您确定要删除吗？');
        if(r){
            var durl = '{{request.path}}delete/'+id+'/'
            $.RefreshContent(durl);
        }
    }
    function deleteObj(obj, id) {
        var r = confirm('您确定要删除吗？');
        if(r) {
            $.ajax({
                url: `/obj/delete/${obj}/${id}/`,
                success: function(res) {
                    if(res.e == '') {
                        $.RefreshContent('{{request.path}}');
                    }
                }
            })
        }

    }
    //2023-93-99下载成TXT
    function fileDownload (filename,what) {
    var oReq = new XMLHttpRequest();
    oReq.open("GET", "/obj/list/export/?what="+what+"", true);
    oReq.responseType = "blob";
    oReq.onload = function (oEvent) {
        var content = oReq.response;
        var elink = document.createElement('a');
        elink.download = filename;
        elink.style.display = 'none';
        var blob = new Blob([content]);
        elink.href = URL.createObjectURL(blob);
        document.body.appendChild(elink);
        elink.click();
        document.body.removeChild(elink);
    };
    oReq.send();
};
$('.btn-download-txt').click(function(){
    var what='{{obj}}'.toLowerCase();
    var filename='';
    switch(what) {
        case 'product':
            filename='产品信息.txt';
            break;
        case 'company':
            filename='经销商信息.txt';
            break;
        case 'storehouse':
            filename='仓库信息.txt';
            break;
    };
    fileDownload(filename,what);
});

function  catPointsDetails(id){
        $.ajax({
            url:'/obj/list/multi_product_list/'+id+'/',
            success:function (res){
                console.log(res)
                    var batch_tb = $('#batch_tb').DataTable({
                        //"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
                        //"bLengthChange":true,
                        dom: 'Bfrtip',
                        autoWidth: false,
                        destroy:true,
                        buttons: [{extend:'excelHtml5',text:'导出到Excel'}],
                        language:lng,
                        data:res.data
                    });

                    $('#modal1').modal('show')
            }
        })
    }
    function  catPointsDetailss(id){
        $.ajax({
            url:'/company/error_checking_list/'+id+'/',
            success:function (res){
                console.log(res)
                    var batch_tb = $('#batch_tb1').DataTable({
                        //"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
                        //"bLengthChange":true,
                        dom: 'Bfrtip',
                        autoWidth: false,
                        destroy:true,
                        buttons: [{extend:'excelHtml5',text:'导出到Excel'}],
                        language:lng,
                        data:res.data
                    });
                    $('#modal2').modal('show')
            }
        })
    }
    function  catPointsDetailsss(id){
        $.ajax({
            url:'/obj/list/rebate_claim_details_list/'+id+'/',
            success:function (res){
                console.log(res)
                    var batch_tb = $('#batch_tb2').DataTable({
                        //"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
                        //"bLengthChange":true,
                        dom: 'Bfrtip',
                        autoWidth: false,
                        destroy:true,
                        buttons: [{extend:'excelHtml5',text:'导出到Excel'}],
                        language:lng,
                        data:res.data
                    });
                    $('#modal3').modal('show')
            }
        })
    }
    function  errDetails(id){
        $.ajax({
            url:'/inventory/err_batchdetails/'+id+'/',
            success:function (res){
                console.log(res)
                    var batch_tb = $('#batch_tb3').DataTable({
                        //"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
                        //"bLengthChange":true,
                        dom: 'Bfrtip',
                        autoWidth: false,
                        destroy:true,
                        buttons: [{extend:'excelHtml5',text:'导出到Excel'}],
                        language:lng,
                        data:res.data
                    });
                    $('#modal4').modal('show')
            }
        })
    }
    function  phoneDetailsss(id){
        $.ajax({
            url:'/sales/marketActivity/list/Activity_phone/?id='+id+'',

            success:function (res){
                console.log(res)
                    var batch_tb = $('#batch_tb4').DataTable({
                        //"lengthMenu": [[10, 25, 50, -1], [10, 25, 50, "All"]],
                        //"bLengthChange":true,
                        dom: 'Bfrtip',
                        autoWidth: false,
                        destroy:true,
                        buttons: [{extend:'excelHtml5',text:'导出到Excel'}],
                        language:lng,
                        data:res.data
                    });
                    $('#modal5').modal('show')
            }
        })
    }
</script>
</script>



<ol class="breadcrumb">
        <li>{{subtt.0}}</li>
        <li>{{subtt.1}}</li>     
</ol>



{% if perms.company.sys_admin %}
    {% ifequal obj 'CompanyCfg'%}
        <div class='col-sm-6' style='margin-left:10px'>
            <label>帐号system目前所在企业：</label>
            <input id='ent_name' style='width:300px;color:black;' value='{{enterprise.name}}'/>
            <input type='hidden' id='ent_id' value='{{enterprise.id}}' />
            <button class='btn btn-sm btn-primary btn-sys-acc'>保存</>
        </div>
        
    {% endifequal %}



    {% if show_add %}
    <div class="title_right">
        <div class="pull-right">
            <span class='input-group'> 
                <button type="button" class='btn btn-obj-add l-a create-btn' href='{{murl}}'>
                    <span class='glyphicon glyphicon-plus' style='padding-right:5px;'></span>{% trans '新建' %}
                </button>
            </span>
        </div>
    </div>
    {% endif %}
    
    {% if  murl == '/list/edit/member/' %}
    <div class="title_right">
        <div class="pull-right">
            <span class='input-group'>
                    <a type="button" class='btn btn-obj-add l-a create-btn' href='/sms_send/details/'>
                    <span class='glyphicon glyphicon-plus' style='padding-right:15px;'></span>{% trans '发送短信' %}</a>
            </span>
        </div>
    </div>
    {% endif %}
{% else %}
    {% if show_add %}
        <div class="title_right">
        <div class="pull-right">
            <span class='input-group'>
                <a type="button" class='btn btn-obj-add l-a create-btn' href='{{murl}}'>
                    <span class='glyphicon glyphicon-plus' style='padding-right:5px;'></span>{% trans '新建' %}
                </a>
            </span>
        </div>
        </div>        
    {% endif %}
{% endif%}



{% if dt %}
    <form role="form"  class="form-inline" style="margin-top:0px;padding-left:10px;">
        <div class="col-sm-2 input-group">
            <span class="input-group-addon">{% trans "开始日期"%}</span>
            <input class="datepicker form-control" id="dt_fr" />
        </div>
        <div class="col-sm-2 input-group">
            <span class="input-group-addon">{% trans "结束日期"%}</span>
            <input class="datepicker form-control" id="dt_to" />
        </div>    
        {% ifequal request.user.company.id 164626 %}
        <div class="col-sm-2 input-group">
            <span class="input-group-addon">{% trans "领取开始日期"%}</span>
            <input class="datepicker form-control" id="dt_fr_redeemed" />
        </div>
        <div class="col-sm-2 input-group">
            <span class="input-group-addon">{% trans "领取结束日期"%}</span>
            <input class="datepicker form-control" id="dt_to_redeemed" />
        </div>
        {% endifequal %}
        <div  class="col-sm-2 input-group">
            <span class='input-group-btn'>
                <a type="button" class='btn btn-primary btn-qry'>
                    <span class='glyphicon glyphicon-search' style='padding-right:5px;'></span>{% trans '查找' %}
                </a>
            </span>        
        </div>
    </form>
    <div class="clearfix"></div>
{% endif %}

{% ifequal request.user.company.id 132080 %}
<a class="btn btn-download-txt">下载TXT</a>
{% endifequal %}

{% if btn_name %}
        <div class="title_right">
        <div class="pull-right">
            <span class='input-group'>
                <a type="button" class='btn btn-obj-add l-a create-btn' href='{{btn_url}}'>
                    {% trans btn_name %}
                </a>
            </span>
        </div>
        </div>
{% endif %}



<div class="col-md-12 col-sm-12 col-xs-12">
    <div class="x_panel">
        <div  class="table-responsive">
            <table id='tb'  class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
            <thead>
                {% for c in clmns %}
                    <th>{{c}}</th>
                {% endfor %}
            </thead>
            <tbody></tbody>
            <tfoot>
                {% for c in clmns %}
                    <th><input type="text" placeholder="{{c}}"></th>            
                {% endfor %}            
            </tfoot>
            </table>
        </div>
    </div>
</div>

<style>
    .edit-box {
        position: fixed;
        top: 50%;
        left: 50%;
        margin-top: -250px;
        margin-left: -350px;
        width: 500px;
        height: 300px;
        border-radius: 7px;
        box-shadow: 1px 1px 7px #444;
        background: #fff;
        padding: 1.5rem;
        display: none;
        font-size: 1.6rem;
    }
    .showEditBox {
        padding: 0.3rem 1rem;
        border: 1px solid #d5d5d5;
        border-radius: 7px;
        cursor: pointer;
        font-weight: bold;
    }
    .showEditBox:hover {
        color: #5b80c3;
        border: 1px solid #5b80c3;
    }
    .showEditBox:active {
        background: #d5d5d5;
    }
    #edit-box-id {
        font-weight: bold;
    }
    .edit-box-1, .edit-box-2, .edit-box-3 {
        border-bottom: 1px solid #d5d5d5;
        padding: 1rem 0;
    }
    .closeEditBox {
        font-size: 1.2rem;
        font-weight: bold;
        border-radius: 7px;
        cursor: pointer;
        padding: 0.4rem 0.8rem;
        border: 1px solid #d5d5d5;
    }
    .closeEditBox:hover {
        background: #d5d5d5;
    }
    .edit-box-check-btn, .edit-box-send-btn {
        font-size: 1.2rem;
        font-weight: bold;
        border-radius: 7px;
        cursor: pointer;
        padding: 0.4rem 0.8rem;
        border: 1px solid #d5d5d5;
        width: 5rem;
        text-align: center;
    }
    
    .closeEditBox:hover {
        background: #d5d5d5;
    }
</style>

<script>
    var editBoxWid = "";
    function getEditBoxInfo(wid) {
        $.ajax({
            url: '/sales/promotioncode/redeem/status/',
            method:'GET',
            data: {
                id: wid
            },
            success: function(res) {
                console.log(res);
                $('#edit-box-check').text(res.check==null?'否':'是');
                $('#edit-box-check-time').text(res.check==null?'---':res.check);
                $('#edit-box-send').text(res.send==null?'否':'是');
                $('#edit-box-send-time').text(res.send==null?'---':res.send);
                $('#edit-box-send-number').text(res.delivery==null?'---':res.delivery);
                $('.edit-box-send-btn').hide();
                $('#edit-box-input').hide();
                $('#edit-box-input').val("");
                if(res.check) {
                    $('.edit-box-check-btn').hide();
                    $('.edit-box-send-btn').show();
                    $('#edit-box-input').show();
                    if(res.delivery) {
                        $('.edit-box-send-btn').hide();
                        $('#edit-box-input').hide();
                    }
                }else {
                    $('.edit-box-check-btn').show();
                    $('.edit-box-send-btn').hide();
                    $('#edit-box-input').hide();
                }
                
            }
        })
    }
    $('.showEditBox').click(function(e) {
        $('.edit-box').css('display', 'block');
        $('#edit-box-id').text(e.currentTarget.dataset.id);
        editBoxWid = e.currentTarget.dataset.wid;
        getEditBoxInfo(e.currentTarget.dataset.wid)
    })
    $('.edit-box-check-btn').click(function(e) {

        $.ajax({
            url: '/sales/promotioncode/redeem/status/set/',
            method: 'POST',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            data: {
                id: editBoxWid,
                operation: '1'
            },
            success: function(res) {
                getEditBoxInfo(editBoxWid);
            }

        })
    })
    $('.edit-box-send-btn').click(function(e) {
        var sendNumber = $('#edit-box-input').val();
        $.ajax({
            url: '/sales/promotioncode/redeem/status/set/',
            method: 'POST',
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            data: {
                id: editBoxWid,
                number: sendNumber,
                operation: '2'
            },
            success: function(res) {
                getEditBoxInfo(editBoxWid);
            }

        })
    })
    $('.closeEditBox').click(function() {
        $('.edit-box').css('display', 'none');
    })
</script>
<div class="edit-box">
    <div style="display:flex;justify-content: flex-end;">
        <div class="closeEditBox">
            关闭
        </div>
    </div>
   <div class="edit-box-1">
       序号
        <span id="edit-box-id"></span>
   </div>
   <div class="edit-box-2">
      <div>是否已审核:  <span id="edit-box-check" style="font-weight:bold;"></span></div>
      <div>审核时间:    <span id="edit-box-check-time" style="font-weight:bold;"></span></div>
   </div>
   <div class="edit-box-3">
        <div>是否已发货:  <span id="edit-box-send" style="font-weight:bold;"></span> </div>
        <div>发货时间:    <span id="edit-box-send-time" style="font-weight:bold;"></span> </div>
        <div>发货单号:    <span id="edit-box-send-number" style="font-weight:bold;"></span> </div>
   </div>
   <div clas="edit-box-4">
        <div class="edit-box-check-btn">审核</div>
        <div style="display: flex;">
            <input id="edit-box-input" placeholder="输入发货单号" style="border:1px solid #d5d5d5;"/>
            <div class="edit-box-send-btn">发货</div>
        </div>
        
   </div>
</div>

<div class="modal fade" tabindex="-1" role="dialog" id="modal1">
    <div class="modal-dialog" role="document" >
        <div class="modal-content" style="width: 600px;">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">批次详情</h4>
            </div>
            <div class="modal-body">
                <table id="batch_tb" class="table table-striped table-bordered dt-responsive" width="100%" >
                    <thead>
                        <tr>
                            <th  style='width:10%'>{% trans "标签号码" %}</th>
                            <th  style='width:10%'>{% trans "标签类型" %}</th>
                            <th  style='width:8%'>{% trans "入库产品名称" %}</th>
                            <th  style='width:8%'>{% trans "出库产品名称" %}</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                    <tfoot>
                        <th><input type="text" placeholder="{% trans "标签号码" %}"></th>
                        <th><input type="text" placeholder="{% trans "标签类型" %}"></th>
                        <th><input type="text" placeholder="{% trans "入库产品名称" %}"></th>
                        <th><input type="text" placeholder="{% trans "出库产品名称" %}"></th>

                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" tabindex="-1" role="dialog" id="modal2">
    <div class="modal-dialog" role="document" >
        <div class="modal-content" style="width: 600px;">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">错误标签</h4>
            </div>
            <div class="modal-body">
                <table id="batch_tb1" class="table table-striped table-bordered dt-responsive" width="100%" >
                    <thead>
                        <tr>
                            <th  style='width:10%'>{% trans "标签号码" %}</th>
                            <th  style='width:10%'>{% trans "标签类型" %}</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                    <tfoot>
                        <th><input type="text" placeholder="{% trans "标签号码" %}"></th>
                        <th><input type="text" placeholder="{% trans "标签类型" %}"></th>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" tabindex="-1" role="dialog" id="modal3">
    <div class="modal-dialog" role="document" >
        <div class="modal-content" style="width: 600px;">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">错误标签</h4>
            </div>
            <div class="modal-body">
                <table id="batch_tb2" class="table table-striped table-bordered dt-responsive" width="100%" >
                    <thead>
                        <tr>
                            <th  style='width:10%'>{% trans "时间" %}</th>
                            <th  style='width:10%'>{% trans "金额" %}</th>
                            <th  style='width:10%'>{% trans "用户名" %}</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                    <tfoot>
                        <th><input type="text" placeholder="{% trans "时间" %}"></th>
                        <th><input type="text" placeholder="{% trans "金额" %}"></th>
                        <th><input type="text" placeholder="{% trans "用户名" %}"></th>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" tabindex="-1" role="dialog" id="modal4">
    <div class="modal-dialog" role="document" >
        <div class="modal-content" style="width: 600px;">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">详情</h4>
            </div>
            <div class="modal-body">
                <table id="batch_tb3" class="table table-striped table-bordered dt-responsive" width="100%" >
                    <thead>
                        <tr>
                            <th  style='width:10%'>{% trans "时间" %}</th>
                            <th  style='width:10%'>{% trans "标签号码" %}</th>
                            <th  style='width:10%'>{% trans "错误类型" %}</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                    <tfoot>
                        <th><input type="text" placeholder="{% trans "时间" %}"></th>
                        <th><input type="text" placeholder="{% trans "标签号码" %}"></th>
                        <th><input type="text" placeholder="{% trans "错误类型" %}"></th>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" tabindex="-1" role="dialog" id="modal5">
    <div class="modal-dialog" role="document" >
        <div class="modal-content" style="width: 600px;">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">图片</h4>
            </div>
            <div class="modal-body">
                <table id="batch_tb4" class="table table-striped table-bordered dt-responsive" width="100%" >
                    <thead>
                        <tr>

                            <th  style='width:10%; '>{% trans "图片" %}</th>
                            <th  style='width:10%'>{% trans "备注" %}</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                    <tfoot>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
